% Funzione che approssima il dato alla terza cifra decimale (millesimi di
% grado)
function [AlfaX,AlfaY,TempDef] = approx(AlfaX,AlfaY,TempDef,FileName)
      
fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'approx function started';
fprintf(fileID,fmt,text);

conv = AlfaX*1000;
conv = round(conv);
AlfaX = conv/1000;

conv = AlfaY*1000;
conv = round(conv);
AlfaY = conv/1000;


conv = TempDef*10;
conv = round(conv);
TempDef = conv/10;

text = 'approx function executed correctly';
fprintf(fileID,fmt,text);
fclose(fileID);

end